
OpenID Fix - Bug #2225

OpenID::TypeURIMismatch

15 Sep 2013 09:15 - Ashok Shrestha

Status: Incomplete Start date: 15 Sep 2013

Priority: Normal Due date:  

Assignee: Andriy Lesyuk % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Redmine version: 2.3.2 External issue:  

Description

I am able to sign into Redmine using Google accounts. But when I log out and sign back in, it prompts me to again give it permission

to access my Google account. Any idea why this is happening?

Started POST "/login" for 55.55.55.55 at Sun Sep 15 08:41:57 +0000 2013

Processing by AccountController#login as HTML

  Parameters: {"username"=>"admin", "authenticity_token"=>"iksadmf43098smfsadSDGGtGasfSf3sdfdsaf2f

2sdf=", "password"=>"[FILTERED]", "back_url"=>"http://redmine.mydomain.com/", "utf8"=>"✓", "openid

_url"=>"https://www.google.com/accounts/o8/id"}

  Current user: anonymous

Completed 401 Unauthorized in 4ms (ActiveRecord: 0.4ms)

WARNING: making https request to https://www.google.com/accounts/o8/id without verifying server ce

rtificate; no CA path was specified.

Generated checkid_setup request to https://www.google.com/accounts/o8/ud with assocication 1.sadsd

JTRfjtk45fdgfyjfdj768dfsgsfASd_sdfs-sdgdsaFsafsf32f232323

Started GET "/login?_method=post&openid.ns=http%3A%2F%2Fspecs.openid.net%2Fauth%2F2.0&openid.mode=

id_res&openid.op_endpoint=https%3A%2F%2Fwww.google.com%2Faccounts%2Fo8%2Fud&openid.response_nonce=

2013-09-15T08%3A42%3A84d2IGyR-gnWufSkA&openid.return_to=http%3A%2F%2Fredmine.mydomain.com%2Flogin%

3F_method%3Dpost&openid.assoc_handle=1.sadsdJTRfjtk45fdgfyjfdj768dfsgsfASd_sdfs-sdgdsaFsafsf32f232

323&openid.signed=op_endpoint%2Cclaimed_id%2Cidentity%2Creturn_to%2Cresponse_nonce%2Cassoc_handle%

2Cns.ext1%2Cext1.mode%2Cext1.type.ext1%2Cext1.value.ext1%2Cext1.type.ext3%2Cext1.value.ext3%2Cext1

.type.ext0%2Cext1.value.ext0%2Cext1.type.ext2%2Cext1.value.ext2&openid.sig=jskO88QcGm6ksfe9o20fKof

lPLc%3D&openid.identity=https%3A%2F%2Fwww.google.com%2Faccounts%2Fo8%2Fid%3Fid%s32f2faasdfkOKOIu2f

23kPOKp-df32r3f32f3kKK&openid.claimed_id=https%3A%2F%2Fwww.google.com%2Faccounts%2Fo8%2Fid%3Fid%s3

2f2faasdfkOKOIu2f23kPOKp-df32r3f32f3kKK&openid.ns.ext1=http%3A%2F%2Fopenid.net%2Fsrv%2Fax%2F1.0&op

enid.ext1.mode=fetch_response&openid.ext1.type.ext1=http%3A%2F%2Faxschema.org%2FnamePerson%2Ffirst

&openid.ext1.value.ext1=John&openid.ext1.type.ext3=http%3A%2F%2Faxschema.org%2FnamePerson%2Flast&o

penid.ext1.value.ext3=Smith&openid.ext1.type.ext0=http%3A%2F%2Faxschema.org%2Fpref%2Flanguage&open

id.ext1.value.ext0=en&openid.ext1.type.ext2=http%3A%2F%2Faxschema.org%2Fcontact%2Femail&openid.ext

1.value.ext2=john.smith%40gmail.com" for 55.55.55.55 at Sun Sep 15 08:42:01 +0000 2013

Error attempting to use stored discovery information: OpenID::TypeURIMismatch

Attempting discovery to verify endpoint

Performing discovery on https://www.google.com/accounts/o8/id?id=2f2faasdfkOKOIu2f23kPOKp-df32r3f3

2f3kKK

WARNING: making https request to https://www.google.com/accounts/o8/id?id=2f2faasdfkOKOIu2f23kPOKp

-df32r3f32f3kKK without verifying server certificate; no CA path was specified.

Processing by AccountController#login as HTML

WARNING: Can't verify CSRF token authenticity

  Current user: anonymous

Successful authentication for 'john.smith@gmail.com' from 55.55.55.55 at Sun Sep 15 08:42:01 UTC 2

013

Redirected to http://redmine.mydomain.com/my/page

Completed 302 Found in 6ms (ActiveRecord: 0.6ms)

Started GET "/my/page" for 55.55.55.55 at Sun Sep 15 08:42:01 +0000 2013

Processing by MyController#page as HTML

  Current user: john.smith@gmail.com (id=3)

  Rendered issues/_list_simple.html.erb (0.3ms)

  Rendered my/blocks/_issuesassignedtome.html.erb (30.3ms)

  Rendered issues/_list_simple.html.erb (0.2ms)

  Rendered my/blocks/_issuesreportedbyme.html.erb (13.5ms)

  Rendered my/page.html.erb within layouts/base (46.8ms)
Completed 200 OK in 172ms (Views: 54.9ms | ActiveRecord: 14.1ms)

History

#1 - 15 Apr 2014 08:10 - Andriy Lesyuk

- Description updated

- Status changed from New to Open

#2 - 11 May 2014 23:06 - Andriy Lesyuk

- Status changed from Open to Incomplete

Can’t be sure – I seems was getting such error, when the system date was incorrect on my computer.
